//	GlueWindow.h

#include	<GestaltEqu.h>
#include	<Folders.h>
#include	<QDOffscreen.h>
#include	<Traps.h>

#define		SETTING_RSRC		'R&R!'
#define		RSRC_NUMBER_BASE	-4048
#define		SHOW_OK_ICON		0
#define		SHOW_NG_ICON		1
#define		SHOW_NO_ICON		2
#define		PREFS_TITLE			"\pGlueWindow Prefs"
#define		CREATOR				'GlWi'
#define		NO_ERROR			0
#define		CAUTION_ERROR		1
#define		OPEN_ERROR			2
#define		SHIFT_KEY			63
#define		CONTROL_KEY			60
#define		COMMAND_KEY			48
#define		OPTION_KEY			61

#define		user_state		(**(WStateData**)((WindowPeek)wp)->dataHandle).userState
#define		std_state		(**(WStateData**)((WindowPeek)wp)->dataHandle).stdState

typedef struct OLD_INIT_DATA {
	Boolean		drag_on;
	Boolean		grow_on;
	Boolean		push_on;
	Boolean		pop_on;
	Boolean		push_sound;
	Boolean		pop_sound;
	Boolean		show_init_icon;
	Boolean		push_key[4];
	Boolean		pop_key[4];
} old_init_data, *old_init_data_ptr, **old_init_data_hdl;

typedef struct INIT_DATA {
	Boolean		drag_on;
	Boolean		grow_on;
	Boolean		push_on;
	Boolean		pop_on;
	Boolean		push_sound;
	Boolean		pop_sound;
	Boolean		show_init_icon;
	Boolean		push_key[4];
	Boolean		pop_key[4];
	Boolean		no_marquee;
	Boolean		drag_key[4];
} init_data, *init_data_ptr, **init_data_hdl;

typedef struct OLD_CDEV_DATA {
	old_init_data	old_temp_init_data;
} old_cdev_data, *old_cdev_data_ptr, **old_cdev_data_hdl;

typedef struct CDEV_DATA {
	init_data	temp_init_data;
} cdev_data, *cdev_data_ptr, **cdev_data_hdl;

typedef unsigned long **ulong_hdl;

typedef struct PREFS_FILE {
	short	RsrcRefNum;
	short	vRefNum;
	long	DirID;
} prefs_file, *prefs_file_ptr;

typedef struct {
	char		filler[76];
	long		randSeed;
	BitMap		screenBits;
	Cursor		arrow;
	Pattern		dkGray;
	Pattern		ltGray;
	Pattern		gray;
	Pattern		black;
	Pattern		white;
	GrafPtr		thePort;
} qd_globals;

short	icon_loc_h	: 0x092C;
short	icon_loc_cs	: 0x092E;
