#ifndef _PROGRAM_GLOBALS_H_
#define _PROGRAM_GLOBALS_H_

#define CREATOR			'Kant'
#define APPLICATION_NAME "\pKant Generator Pro"
#define	SAVE_TYPE		'TEXT'
#define BUILD_TYPE		'rsrc'
#define	SAVE_VERSION	1

enum					/* window indices in gTheWindowData[] lists */
{
	kAboutWindow=0,		/* about box */
	kAboutMSGWindow,	/* "About MSG" splash screen */
	kOtherMSGWindow,	/* "Other MSG products" window */
	kHelpWindow,		/* help window */
	kMainWindow,		/* main graphics window */
	kBuildWindow		/* CFL builder window */
};

#define	NUM_WINDOWS		6		/* total number of windows (see above enum) */

enum ErrorTypes
{
	allsWell=0,
	
	/* shell errors */
	kNoMemory,
	kNoMemoryAndQuitting,
	kProgramIntegrityNotVerified,
	kProgramIntegritySet,
	kSystemTooOld,
	userCancelErr,
	kMustCloseDocument,
	kCloseDocBeforePrinting,
	
	kCantCreateFile,
	kCantOpenFileToSave,
	kDiskFull,
	kCantWriteFile,
	kCantOpenFileToLoad,
	kCantLoadFile,
	kFileTooLarge,
	
	kModuleNotFound,
	kCantBuildReferenceList,
	kCantFindModulesFolder,
	kCantCreateNewModule,
	kCantOpenModule,
	kModuleTooLarge,
	kCantDeleteReference,
	kCantDeleteInstantiation,
	kDuplicateReferenceName,
	kCantCreateReference,
	kCantCreateInstantiation,
	kCantReplaceReference,
	kCantReplaceInstantiation,
	
	kParserNullReferenceName,
	kParserReferenceNotFound,
	kParserBadChoiceFormat,
	kParserBadOptionalFormat,
	kParserNoInstantiations,
	kParserIllegalBackslash
};

extern	Boolean			gAlwaysResolve;
extern	short			gSpeedDelay;
extern	FSSpec			gModuleFS;
extern	Boolean			gUseDefault;

#endif
