
#ifndef _ALPHABET_PRIVATE_H_
#define _ALPHABET_PRIVATE_H_

// --- Some defines used in the implementation of the Alphabet functions

#define SET_ELT(IDX)	buffer[((int)(IDX)) >> 3] |= 1 << (((int)(IDX)) & 7)
	// set the buffer bit corresponding to the element having index IDX.

#define CLR_ELT(IDX)	buffer[((int)(IDX)) >> 3] &= ~(1 << (((int)(IDX)) & 7))
	// clear the buffer bit corresponding to the element having index IDX.

#define ELT(IDX)	((buffer[((int)(IDX)) >> 3] & (1 << (((int)(IDX)) & 7))) ? 1 : 0)
	// return 1 iff the element with index IDX is present in the set, 0 otherwise

#endif
